Package picard.vcf

# Class SplitVcfs

java.lang.Object
picard.cmdline.CommandLineProgram
picard.vcf.SplitVcfs

@DocumentedFeature public class SplitVcfs extends CommandLineProgram
Splits the input VCF file into two, one for indels and one for SNPs. The headers of the two output files will be identical.

An index file is created for the output file by default. Using an output file name with a ".gz" extension will create gzip-compressed output.

## Field Summary

Fields
Modifier and Type
Field
Description
`File`
`INDEL_OUTPUT`
`PicardHtsPath`
`INPUT`
`PicardHtsPath`
`SEQUENCE_DICTIONARY`
`File`
`SNP_OUTPUT`
`Boolean`
`STRICT`

### Fields inherited from class picard.cmdline.CommandLineProgram

`COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, MAX_ALLOWABLE_ONE_LINE_SUMMARY_LENGTH, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, referenceSequence, specialArgumentsCollection, SYNTAX_TRANSITION_URL, TMP_DIR, USE_JDK_DEFLATER, USE_JDK_INFLATER, VALIDATION_STRINGENCY, VERBOSITY`

## Constructor Summary

Constructors
Constructor
Description
`SplitVcfs()`

## Method Summary

Modifier and Type
Method
Description
`protected int`
`doWork()`
Do the work after command line has been parsed.

### Methods inherited from class picard.cmdline.CommandLineProgram

`checkRInstallation, customCommandLineValidation, getCommandLine, getCommandLineParser, getCommandLineParserForArgs, getDefaultHeaders, getFaqLink, getMetricsFile, getPGRecord, getStandardUsagePreamble, getStandardUsagePreamble, getVersion, hasWebDocumentation, instanceMain, instanceMainWithExit, makeReferenceArgumentCollection, parseArgs, requiresReference, setDefaultHeaders, useLegacyParser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INPUT

@Argument(shortName="I", doc="The VCF or BCF input file") public PicardHtsPath INPUT

### SNP_OUTPUT

@Argument(doc="The VCF or BCF file to which SNP records should be written. The file format is determined by file extension.") public File SNP_OUTPUT

### INDEL_OUTPUT

@Argument(doc="The VCF or BCF file to which indel records should be written. The file format is determined by file extension.") public File INDEL_OUTPUT

### SEQUENCE_DICTIONARY

@Argument(shortName="D", doc="The index sequence dictionary to use instead of the sequence dictionaries in the input files", optional=true) public PicardHtsPath SEQUENCE_DICTIONARY

### STRICT

@Argument(doc="If true an exception will be thrown if an event type other than SNP or indel is encountered") public Boolean STRICT

## Constructor Details

### SplitVcfs

public SplitVcfs()

## Method Details

### doWork

protected int doWork()
Description copied from class: `CommandLineProgram`
Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.

Specified by:
  `doWork` in class `CommandLineProgram`
Returns:
  program exit status.